Subject: Re: [PATCH v2 2/2] selftests/vm: fix run_vmtest.sh: restore executable bits, and "s" in name

From: John Hubbard <[email-masked]>
Date: Fri, 2 Oct 2020 15:04:48 -0700

On 10/2/20 2:59 PM, Andrew Morton wrote:
> On Fri, 2 Oct 2020 01:40:49 -0700 John Hubbard <[email-masked]> wrote:
> 
>> commit cb2ab76685d7 ("selftests/vm: rename run_vmtests -->
>> run_vmtests.sh") changed the name of run_vmtests to run_vmtest.sh, but
>> inadvertently dropped the executable bits.
> 
> We cannot depend on the x bit.  Because downloading linux-foo.patch.gz
> and installing it with patch(1) is a supported way of obtaining Linux.
> And patch(1) loses the x bit.

OK. I was just hoping that, within our processes here, there's still some
way to get something committed that does have the bit set. Because it's a
nice touch to be able to do

./run_vmtests.sh

Not a big deal of course.

> 
> If $(CONFIG_SHELL) is unavailable then invoking the script with
> "/bin/sh foo.sh" should do the trick.

OK, I'll use that for the Makefile.

> 
>> Somehow the name is missing an "s", too. Fix both of these problems by
>> renaming, and restoring the executable bits.
> 
> But that's what your patch did!
> 
> tools/testing/selftests/vm/{run_vmtests => run_vmtest.sh} | 0
> 
> Here: https://lkml.kernel.org/r/[email-masked]
> 

Yes, the dropped "s" is my mistake!

> 
> So all confused.  I'll drop this version - please redo and resend when
> convenient?
> 

Coming up, sorry about the mess here!

thanks,
-- 
John Hubbard
NVIDIA